Package ch.qos.logback.classic.turbo

# Class MatchingFilter

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.classic.turbo.TurboFilter
ch.qos.logback.classic.turbo.MatchingFilter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `MarkerFilter`, `MDCFilter`

public abstract class MatchingFilter extends TurboFilter
An abstract class containing support for `onMatch` on `onMismatch` attributes, shared by many but not all turbo filters.

Author:
  Ceki Gulcu

## Field Summary

Fields
Modifier and Type
Field
Description
`protected FilterReply`
`onMatch`
`protected FilterReply`
`onMismatch`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`MatchingFilter()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`setOnMatch(String action)`
`final void`
`setOnMismatch(String action)`

### Methods inherited from class ch.qos.logback.classic.turbo.TurboFilter

`decide, getName, isStarted, setName, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### onMatch

protected FilterReply onMatch

### onMismatch

protected FilterReply onMismatch

## Constructor Details

### MatchingFilter

public MatchingFilter()

## Method Details

### setOnMatch

public final void setOnMatch(String action)

### setOnMismatch

public final void setOnMismatch(String action)